<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  CTA as CallToAction,
  NextStep,
  Table as SlpTable,
} from '~/components/common/index.vue';
import { getPageMetadata } from '~/common/meta';
import { SolutionsHero } from '~/components/solutions/index.vue';
import {
  GetStartedMenu,
  GetStartedResources,
} from '~/components/get-started/index.vue';

export default Vue.extend({
  components: {
    SlpTable,
    CallToAction,
    SolutionsHero,
    GetStartedMenu,
    GetStartedResources,
    NextStep,
  },
  async asyncData({ $getStartedService }) {
    try {
      const doc = await $getStartedService.getContent(`get-started`, true);
      return { doc };
    } catch (e) {
      throw new Error(e);
    }
  },
  head(): MetaInfo {
    return getPageMetadata(
      (this as any).doc,
      this.$route.path,
      this.$nuxtI18nHead({ addSeoAttributes: true }),
    );
  },
});
</script>

<template>
  <div class="wrapper">
    <SlpContainer>
      <component
        :is="component.name"
        v-for="component in doc.components"
        :key="component.name"
        :data="component.data"
      />
    </SlpContainer>
    <SlpContainer variant="gradient">
      <NextStep />
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.wrapper {
  overflow: hidden;
}
</style>
